Bug 738316 - Qpid JCA Adapter -- QpidRALocalTransaction incorrectly evaluates session.getTransacted() flag in commit
Summary: Qpid JCA Adapter -- QpidRALocalTransaction incorrectly evaluates session.getT...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-jca
Version: 2.0
Hardware: All
OS: All
high
urgent
Target Milestone: 2.0.4
: ---
Assignee: Weston M. Price
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks: 737880
TreeView+ depends on / blocked
 
Reported: 2011-09-14 14:22 UTC by Weston M. Price
Modified: 2016-02-22 00:59 UTC (History)
4 users (show)

Fixed In Version: qpid-java-jca-0.10-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-24 16:42:47 UTC


Attachments (Terms of Use)

Description Weston M. Price 2011-09-14 14:22:27 UTC
In the QpidRALocalTransaction class, in the commit method, prior to committing we evaluate the following conditions:

 if (_mc.getSession() != null && _mc.getSession().getTransacted())

While the first condition is correct, the second is not. Rarely, if ever will this flag be true in a JCA context. Also, this flag should not be used to evaluate whether or not to commit as commit is actually being called by the transaction manager. 


This issue is the result of QE testing, Bug 737880.

Comment 1 Weston M. Price 2011-09-16 15:36:03 UTC
Provided in latest build to release engineering.

Comment 2 Andrew Stitcher 2011-09-22 13:30:09 UTC
This has been fixed in package qpid-java-jca-0.10-10


Note You need to log in before you can comment on or make changes to this bug.